body {
    background-color: #3a3a3a;
}

  .container-loader {
    width: 150px;
    height: 150px;
    margin: 150px auto;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.configure-border-1 {
    width: 70px;
    height: 70px;
    padding: 10px;
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #3f00ff;
    animation: configure-clockwise 3s ease-in-out 0s infinite alternate;
  }
  
  .configure-border-2 {
    width: 70px;
    height: 70px;
    padding: 10px;
    left: -115px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #ffff00;
    transform: rotate(45deg);
    animation: configure-xclockwise 3s ease-in-out 0s infinite alternate;
  }
  
  .configure-core {
    width: 100%;
    height: 100%;
    background-color: #5a5a5a;
  }

  @keyframes configure-clockwise {
    0% {
      transform: rotate(0);
    }
    25% {
      transform: rotate(90deg);
    }
    50% {
      transform: rotate(180deg);
    }
    75% {
      transform: rotate(270deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }
  
  @keyframes configure-xclockwise {
    0% {
      transform: rotate(45deg);
    }
    25% {
      transform: rotate(-45deg);
    }
    50% {
      transform: rotate(-135deg);
    }
    75% {
      transform: rotate(-225deg);
    }
    100% {
      transform: rotate(-315deg);
    }
  }

  .card {
    margin: 20px;
    padding: 20px 40px 20px 180px;
    color: #ffffff;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 300;
    font-size: 24px;
    letter-spacing: 2px;
    border-radius: 8px;
    background-color: #000000;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

h2,
p {
    margin: 0;
    display: inline;
}

.post-header {
    margin-bottom: 10px;
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
}

.user-name {
    margin-right: 30px;
    font-weight: 700;
}

a {
    color: #7a7a7a;
    text-decoration: none;
}

.email {
    font-size: 22px;
}

.post-title { 
    color: #7a7a7a;
    font-size: 16px;
    font-weight: 100;
}

.content {
    margin-top: 20px;
}

.delete-button, 
#add-post-btn {
    margin-top: 20px;
    padding: 5px 10px;
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 3px;
    background-color:#3f00ff;
    border-radius: 3px;
    cursor: pointer;
}

.delete-button:hover {
    color: #3a3a3a;
    background-color: #ffff00;
}

#add-post-btn {
  margin-left: 20px;
}

#add-post-modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1;
}

#add-post-modal form {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #ccc;
  padding: 20px;
  width: 400px;
}

#add-post-modal label {
  display: block;
  margin-bottom: 10px;
  color: #7a7a7a;
}

#add-post-modal input,
#add-post-modal textarea {
  display: block;
  width: 100%;
  padding: 10px;
  margin-bottom: 20px;
  box-sizing: border-box;
  border-bottom: 2px solid #ccc;
  border-radius: 5px;
}

#add-post-modal button[type="submit"],
.edit-btn {
  padding: 10px 20px;
  font-size: 16px;
  background-color: #3f00ff;
  border-radius: 5px;
  border-color: #ccc;
  color: #fff;
  cursor: pointer;
}

#add-post-modal button[type="button"] {
  padding: 10px 20px;
  margin-left: 10px;
  font-size: 16px;
  background-color: #ffff00;
  border-radius: 5px;
  border-color: #ccc;
  color: #000;
  cursor: pointer;
}

#posts-container {
 padding: 20px;
 display: flex;
 flex-direction: column;
 justify-content: center;
 align-items: center;

}

#post {
    width: 80vw;
    margin: 20px;
    padding: 20px ;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: start;
    color: #ffffff;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 300;
    font-size: 24px;
    letter-spacing: 2px;
    border-radius: 8px;
    background-color: #000000;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.post-title,
.post-body,
.edit-btn {
    margin-bottom: 15px;
}